(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? module.exports = factory(require('react'), require('animate.css')) :
  typeof define === 'function' && define.amd ? define(['react', 'animate.css'], factory) :
  (global.Header = factory(global.React,global.animate_css));
}(this, (function (React,animate_css) { 'use strict';

React = 'default' in React ? React['default'] : React;

var Select$1 = React.createClass({
  displayName: 'Select',

  propTypes: {
    selects: React.PropTypes.array.isRequired,
    onSelectChange: React.PropTypes.func
  },
  getInitialState: function getInitialState() {
    return {
      display: 'none',
      placeholder: this.props.selects && this.props.selects instanceof Array && this.props.selects.length !== 0 ? this.props.selects[0] : '请选择',
      className: 'placeholder_close'
    };
  },
  selectClick: function selectClick(e) {
    var _this = this;

    e.stopPropagation();
    this.setState({
      display: this.state.display === 'block' ? 'none' : 'block',
      className: this.state.className === 'placeholder_close' ? 'placeholder_open' : 'placeholder_close'
    });
    document.body.onclick = function (e) {
      _this.setState({
        display: 'none',
        className: 'placeholder_close'
      });
    };
  },
  componentDidMount: function componentDidMount() {},
  itemClick: function itemClick(e) {
    e.stopPropagation();
    this.setState({
      placeholder: e.target.innerHTML,
      display: 'none',
      className: 'placeholder_close'
    });
    this.props.onSelectChange ? this.props.onSelectChange(e.target.innerHTML) : '';
  },
  render: function render() {
    var _this2 = this;

    return React.createElement(
      'div',
      { ref: 'selectBox', className: 'select__box', onClick: this.selectClick },
      React.createElement(
        'a',
        { className: this.state.className, id: 'selectContent' },
        this.state.placeholder
      ),
      React.createElement(
        'ul',
        { id: 'liOptions', style: { display: this.state.display } },
        this.props.selects && this.props.selects instanceof Array && this.props.selects.length !== 0 ? this.props.selects.map(function (item, index) {
          return React.createElement(
            'li',
            { onClick: _this2.itemClick },
            item
          );
        }) : ''
      )
    );
  }
});

var UserList = React.createClass({
  displayName: 'UserList',

  propTypes: {
    userMessage: React.PropTypes.object.isRequired,
    userControll: React.PropTypes.func
  },
  getInitialState: function getInitialState() {
    return {
      display: 'none',
      className: 'placeholder_close'
    };
  },
  selectClick: function selectClick(e) {
    var _this = this;

    e.stopPropagation();
    this.setState({
      display: this.state.display === 'block' ? 'none' : 'block',
      className: this.state.className === 'placeholder_close' ? 'placeholder_open' : 'placeholder_close'
    });
    console.log(e.target);
    document.body.onclick = function () {
      _this.setState({
        display: 'none',
        className: 'placeholder_close'
      });
    };
  },
  itemClick: function itemClick(e) {
    e.stopPropagation();
    this.setState({
      display: 'none',
      className: 'placeholder_close'
    });
    this.props.userControll ? this.props.userControll(e.target.innerHTML) : '';
  },
  render: function render() {
    var _this2 = this;

    return React.createElement(
      'div',
      { className: 'user__list', onClick: this.selectClick },
      React.createElement(
        'span',
        { className: this.state.className, id: 'selectContent' },
        this.props.userMessage.name
      ),
      React.createElement(
        'ul',
        { id: 'liOptions', style: { display: this.state.display } },
        this.props.userMessage && this.props.userMessage.navList && this.props.userMessage.navList instanceof Array ? this.props.userMessage.navList.map(function (item, index) {
          return React.createElement(
            'li',
            { key: 'user' + index, onClick: _this2.itemClick },
            item
          );
        }) : ''
      )
    );
  }
});

var searchIcon = React.createElement(
  'svg',
  { t: '1481100219298',
    className: 'icon',
    viewBox: '0 0 1024 1024',
    version: '1.1',
    'p-id': '1057',
    width: '12', height: '12' },
  React.createElement('path', { d: 'M999.104 878.336l-244.992-245.056c-2.816-2.88-6.016-4.992-9.024-7.36 41.408-63.552 65.536-139.2 65.536-220.672 0-223.872-181.44-405.376-405.312-405.376C181.504-0.064 0 181.44 0 405.312s181.568 405.312 405.312 405.312c81.472 0 157.184-24.192 220.8-65.6 2.304 3.008 4.48 6.08 7.232 8.96l245.056 245.12c16.704 16.64 38.528 24.96 60.352 24.96 21.824 0 43.648-8.32 60.352-24.96C1032.32 965.76 1032.32 911.68 999.104 878.336M405.312 682.624C252.416 682.624 128 558.208 128 405.312s124.48-277.376 277.312-277.376c152.896 0 277.312 124.48 277.312 277.376S558.208 682.624 405.312 682.624', 'p-id': '1058', fill: '#666666' })
);

var SearchBox$1 = React.createClass({
  displayName: 'SearchBox',

  propTypes: {
    searchChange: React.PropTypes.func
  },
  getInitialState: function getInitialState() {
    return {
      value: ''
    };
  },
  inputChange: function inputChange(e) {
    this.setState({
      value: e.target.value
    });
  },
  searchClick: function searchClick() {
    this.props.searchChange && this.state.value !== '' ? this.props.searchChange(this.state.value) : '';
  },
  render: function render() {
    return React.createElement(
      'span',
      { className: 'header__controll__search__box' },
      React.createElement('input', { type: 'text', placeholder: '\u641C\u7D22\u5173\u952E\u5B57',
        value: this.state.value,
        onChange: this.inputChange }),
      React.createElement(
        'button',
        { onClick: this.searchClick },
        searchIcon
      )
    );
  }
});

var Header$1 = React.createClass({
  displayName: 'Header',

  propTypes: {
    navList: React.PropTypes.array.isRequired,
    selects: React.PropTypes.array.isRequired,
    userMessage: React.PropTypes.object.isRequired,
    onSelectChange: React.PropTypes.func,
    navChange: React.PropTypes.func,
    userControll: React.PropTypes.func,
    searchChange: React.PropTypes.func,
    logoData: React.PropTypes.object.isRequired
  },
  getInitialState: function getInitialState() {
    return {
      visibility: 'hidden',
      display: 'none'
    };
  },
  navClick: function navClick(e) {
    var navList = this.refs['nav'];
    var navArr = navList.getElementsByTagName('li');
    for (var i = 0, len = navArr.length; i < len; i++) {
      navArr[i].className = '';
      if (navArr[i].innerHTML === e.target.innerHTML) {
        navArr[i].className = 'active';
      }
    }
    if (this.state.visibility === 'visible') {
      var hiddenList = this.refs['hiddenNav'].getElementsByTagName('li');
      for (var _i = 0, _len = hiddenList.length; _i < _len; _i++) {
        hiddenList[_i].className = '';
      }
      this.setState({
        display: 'none'
      });
    }
    this.props.navChange ? this.props.navChange(e.target.innerHTML) : '';
  },
  componentDidMount: function componentDidMount() {
    this.hiddenNavFunc();
    window.addEventListener('resize', this.hiddenNavFunc);
  },
  componentWillUnmount: function componentWillUnmount() {
    window.removeEventListener('resize', this.hiddenNavFunc);
  },
  hiddenNavFunc: function hiddenNavFunc() {
    var navBox = this.refs['nav'];
    var navs = navBox.getElementsByTagName('li');
    var navAllWidth = Number();
    var hiddenList = [];
    for (var i = 0, len = navs.length; i < len; i++) {
      navAllWidth += navs[i].offsetWidth;
      if (navAllWidth > navBox.offsetWidth) {
        hiddenList.push(navs[i].innerHTML);
      }
    }
    this.setState({
      hiddenList: hiddenList
    });
    if (navAllWidth > navBox.offsetWidth) {
      this.setState({
        visibility: 'visible'
      });
    }
  },
  showHidden: function showHidden(e) {
    var _this = this;

    e.stopPropagation();
    this.setState({
      display: this.state.display === 'none' ? 'block' : 'none'
    });
    e.target.onblur = function () {
      _this.setState({
        display: 'none'
      });
    };
  },
  hiddenListClick: function hiddenListClick(e) {
    var navList = this.refs['nav'];
    var navArr = navList.getElementsByTagName('li');
    var hiddenList = this.refs['hiddenNav'].getElementsByTagName('li');
    for (var i = 0, len = navArr.length; i < len; i++) {
      navArr[i].className = '';
    }
    for (var _i2 = 0, _len2 = hiddenList.length; _i2 < _len2; _i2++) {
      hiddenList[_i2].className = '';
      if (hiddenList[_i2].innerHTML === e.target.innerHTML) {
        hiddenList[_i2].className = 'hidden__active';
      }
    }
    this.props.navChange ? this.props.navChange(e.target.innerHTML) : '';
  },
  render: function render() {
    return React.createElement(
      'header',
      { className: 'header-container' },
      React.createElement(
        'div',
        { className: 'header__logo' },
        React.createElement(
          'div',
          { className: 'header__logo_title' },
          React.createElement(
            'span',
            null,
            React.createElement('img', { src: '/logo.png' })
          ),
          React.createElement(
            'span',
            null,
            React.createElement(
              'b',
              null,
              this.props.logoData && this.props.logoData.title ? this.props.logoData.title : ''
            )
          )
        )
      ),
      React.createElement(
        'div',
        { className: 'header__controll' },
        React.createElement(
          'div',
          { className: 'header__controll__nav' },
          React.createElement(
            'ul',
            { onClick: this.navClick, ref: 'nav' },
            this.props.navList && this.props.navList instanceof Array && this.props.navList.length !== 0 ? this.props.navList.map(function (item, index) {
              if (index === 0) {
                return React.createElement(
                  'li',
                  { key: 'nav' + index, className: 'active' },
                  item
                );
              } else {
                return React.createElement(
                  'li',
                  { key: 'nav' + index },
                  item
                );
              }
            }) : ''
          ),
          React.createElement(
            'a',
            { href: 'javascript:;', className: 'header__controll__showhidden',
              style: { visibility: this.state.visibility }, onClick: this.showHidden },
            '...',
            React.createElement(
              'div',
              { className: 'header__controll_hidden-list animated infinite slideInDown',
                style: { display: this.state.display } },
              React.createElement(
                'ul',
                { onClick: this.hiddenListClick, ref: 'hiddenNav' },
                this.state.hiddenList ? this.state.hiddenList.map(function (item, index) {
                  return React.createElement(
                    'li',
                    { key: 'hiddenlist' + index },
                    item
                  );
                }) : ''
              )
            )
          ),
          React.createElement(
            'span',
            { className: 'header__controll__drop' },
            React.createElement(Select$1, { selects: this.props.selects, onSelectChange: this.props.onSelectChange })
          )
        ),
        React.createElement(
          'div',
          { className: 'header__controll__search' },
          React.createElement(SearchBox$1, { searchChange: this.props.searchChange })
        ),
        React.createElement(
          'div',
          { className: 'header__controll__admin' },
          React.createElement(UserList, { userMessage: this.props.userMessage, userControll: this.props.userControll })
        )
      )
    );
  }
});

return Header$1;

})));
//# sourceMappingURL=index.umd.js.map
